`pcdesign` <-
function(sinclair=TRUE)
################################################################
# PC design matrix
################################################################
{
  nobj  <-get("nobj",get("ENV", environment(pcpattL)))
  ncomp<-nobj*(nobj-1)/2          # number of comparisons
  obj<-matrix(c(0:0),ncomp,nobj)
  row<-1
  if (sinclair) {                 # (12),(13),(23),(14),(24),...
     for (j in 2:nobj) {
         for (i in 1:(j-1) ){
             obj[row, i]  <-   1
             obj[row, j]  <-  -1
             row <- row + 1
         }
     }
  } else {                        # (12),(13),(14),...,(23),(24),...
     for (i in 1:(nobj-1)) {
         for (j in (i+1):nobj){
             obj[row, i]  <-   1
             obj[row, j]  <-  -1
             row <- row + 1
         }
     }
  }
  obj
}

